<refreshable-panel [dataProvider]="this">
    <refreshable-panel-header [title]="'Points'">
    </refreshable-panel-header>
    <refreshable-panel-content>
        <refreshable-panel-actions [dataProvider]="this">
            <mat-form-field>
                <mat-select class="col" [(ngModel)]="selectedCourse" (selectionChange)="needsRefresh.next()">
                    <mat-option [value]="undefined">
                        {{ "None" | localize }}
                    </mat-option>
                    <mat-option *ngFor="let course of courses" [value]="course.courseId">
                        {{ course.course.title }}
                    </mat-option>
                </mat-select>
            </mat-form-field>
        </refreshable-panel-actions>
        <div class="row panel hidden-xs hidden-sm">
            <div class="col-md-3">
                {{ "CourseTitle" | localize }}
            </div>
            <div class="col-md-3">
                {{ "Name" | localize }}
            </div>
            <div class="col-md-3">
                {{ "DateGraded" | localize }}
            </div>
            <div class="col-md-3">
                {{ "PointCount" | localize }}
            </div>
        </div>
        <div class="row panel" *ngFor="let point of points">
            <div class="col-md-3">
                <span class="hidden-md hidden-lg"> {{"CourseTitle" | localize}} </span>
                <div class="well well-sm">
                    {{ point.course.title }} </div>
            </div>
            <div class="col-md-3">
                <span class="hidden-md hidden-lg"> {{"Name" | localize}}
                </span>
                <div class="well well-sm"> {{ point.instructor.firstName + " " + point.instructor.lastName }}
                </div>
            </div>
            <div class="col-md-3">
                <span class="hidden-md hidden-lg"> {{"DateGraded" | localize}} </span>
                <div class="well well-sm">{{ point.dateGraded | date : "longDate"}} </div>
            </div>
            <div class="col-md-3">
                <span class="hidden-md hidden-lg"> {{"PointCount" | localize}} </span>
                <div class="well well-sm">
                    {{ point.pointCount }} </div>
            </div>
        </div>
        <div class="row" *ngIf="selectedCourse != undefined">

        </div>
    </refreshable-panel-content>
</refreshable-panel>
